import 'package:flutter/material.dart';

class BotBar extends StatelessWidget {
  const BotBar({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(color: Colors.blue[100], boxShadow: [
        BoxShadow(
            blurRadius: 20,
            color: Colors.black.withOpacity(0.2),
            offset: Offset.zero)
      ]),
      height: 60,
      padding: const EdgeInsets.only(bottom: 5.0),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceAround,
        children: [
          ClipOval(
            child: Material(
              child: IconButton(
                icon: const Icon(
                  Icons.home,
                  size: 30,
                  color: Colors.blue,
                ),
                onPressed: () {},
              ),
            ),
          ),
          ClipOval(
            child: Material(
              child: IconButton(
                icon: const Icon(
                  Icons.add_a_photo,
                  size: 30,
                  color: Colors.blue,
                ),
                onPressed: () {},
              ),
            ),
          ),
          ClipOval(
            child: Material(
              child: IconButton(
                icon: const Icon(
                  Icons.account_circle,
                  size: 30,
                  color: Colors.blue,
                ),
                onPressed: () {},
              ),
            ),
          ),
          ClipOval(
            child: Material(
              child: IconButton(
                icon: const Icon(
                  Icons.ac_unit_rounded,
                  size: 30,
                  color: Colors.blue,
                ),
                onPressed: () {},
              ),
            ),
          ),
        ],
      ),
    );
  }
}
